# $Revision: 1.29 $, $Date: 2012/04/13 15:56:20 $
Summary:	A keyboard configuration library
Summary(pl.UTF-8):	Biblioteka do konfiguracji klawiatury
Name:		libgnomekbd
Version:	3.4.0.2
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomekbd/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	9772d124e0cca6a70b9e7cf85032a297
Patch0:		%{name}-install.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libxklavier-devel >= 5.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.593
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	glib2 >= 1:2.26.0
Conflicts:	control-center < 1:2.17.92
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libgnomekbd package contains a GNOME library which manages
keyboard configuration and offers various widgets related to keyboard
configuration.

%description -l pl.UTF-8
Pakiet libgnomekbd zawiera bibliotekę GNOME zarządzającą konfiguracją
klawiatury i oferującą różne widgety związane z konfiguracją
klawiatury.

%package devel
Summary:	Header files for libgnomekbd
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgnomekbd
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+3-devel >= 3.0.0
Requires:	libxklavier-devel >= 5.2

%description devel
Header files for libgnomekbd.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgnomekbd.

%package static
Summary:	Static libgnomekbd library
Summary(pl.UTF-8):	Statyczna biblioteka libgnomekbd
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgnomekbd library.

%description static -l pl.UTF-8
Statyczna biblioteka libgnomekbd.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/gkbd-keyboard-display
%attr(755,root,root) %{_libdir}/libgnomekbd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomekbd.so.7
%attr(755,root,root) %{_libdir}/libgnomekbdui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomekbdui.so.7
%{_desktopdir}/gkbd-keyboard-display.desktop
%{_datadir}/GConf/gsettings/libgnomekbd.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/libgnomekbd
%{_libdir}/girepository-1.0/Gkbd-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomekbd.so
%attr(755,root,root) %{_libdir}/libgnomekbdui.so
%{_includedir}/libgnomekbd
%{_pkgconfigdir}/libgnomekbd.pc
%{_pkgconfigdir}/libgnomekbdui.pc
%{_datadir}/gir-1.0/Gkbd-3.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomekbd.a
%{_libdir}/libgnomekbdui.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomekbd.spec,v $
Revision 1.29  2012/04/13 15:56:20  megabajt
- updated to 3.4.0.2
- added -install.patch to fix problems with install (patch from upstream)

Revision 1.28  2012/03/26 06:37:51  megabajt
- updated to 3.4.0.1

Revision 1.27  2012/03/25 10:53:45  megabajt
- updated to 3.4.0; merged changes from DEVEL

Revision 1.26.2.1  2012/02/22 21:40:08  megabajt
- updated to 3.3.90

Revision 1.26  2011/09/28 16:50:03  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.25.2.1  2011/09/21 21:42:18  megabajt
- updated to 3.1.92

Revision 1.25  2011/04/06 06:41:14  wiget
- up to 3.0.0.1

Revision 1.24  2011/04/04 21:33:24  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.23.2.7  2011/03/22 22:29:57  megabajt
- updated to 2.91.92

Revision 1.23.2.6  2011/03/08 19:54:40  megabajt
- updated to 2.91.91

Revision 1.23.2.5  2011/02/26 11:28:57  patrys
- 2.91.90

Revision 1.23.2.4  2011/02/12 19:22:51  wiget
- BR stable gtk+
- kill libtool files

Revision 1.23.2.3  2011/01/13 22:15:07  wiget
- 2.91.5

Revision 1.23.2.2  2010/12/28 21:40:59  wiget
- 2.91.4

Revision 1.23.2.1  2010/11/21 13:58:11  megabajt
- updated to 2.91.2

Revision 1.23  2010/09/29 18:06:52  megabajt
- updated to 2.32.0; merged changes from DEVEL

Revision 1.22.2.1  2010/08/31 18:41:05  patrys
- 2.31.5

Revision 1.22  2010/06/22 22:33:02  megabajt
- updated to 2.30.2

Revision 1.21  2010/04/26 14:14:29  megabajt
- updated to 2.30.1

Revision 1.20  2010/03/29 14:45:42  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.19.2.2  2010/03/15 17:48:13  megabajt
- updated to 2.29.92

Revision 1.19.2.1  2010/02/12 23:19:59  megabajt
- updated to 2.29.5

Revision 1.19  2010/01/30 10:41:45  megabajt
- release 2

Revision 1.18  2009/12/14 18:36:57  megabajt
- updated to 2.28.2
- removed en@shaw locale

Revision 1.17  2009/11/12 16:14:57  patrys
- rebuild
- rel 2

Revision 1.16  2009/09/26 13:59:32  megabajt
- updated to 2.28.0; merged from DEVEL

Revision 1.14.2.5  2009/08/26 12:24:06  patrys
- 2.27.91

Revision 1.14.2.4  2009/07/16 10:33:51  patrys
- 2.27.4

Revision 1.14.2.3  2009/06/29 20:46:49  patrys
- ported commit 3b40029262b0007db0d3cb07b0ef658a391063aa

Revision 1.15  2009/06/17 19:33:31  hawk
- release 2

Revision 1.14.2.2  2009/06/17 12:00:55  patrys
- drop ca@valencia until we support it

Revision 1.14.2.1  2009/06/17 11:57:18  patrys
- 2.27.2

Revision 1.14  2009/03/16 18:14:06  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.13.2.1  2009/02/20 17:03:40  megabajt
- updated to 2.25.91

Revision 1.13  2008/11/09 22:10:09  megabajt
- release 2

Revision 1.12  2008/09/26 19:08:41  megabajt
- updated to 2.24.0; merged changes from DEVEL
- -desktop.patch applied upstream

Revision 1.11.2.1  2008/09/13 00:05:43  patrys
- 2.23.91

Revision 1.11  2008/03/19 18:44:29  megabajt
- added X11 to groups
- mark soname symlinks as %ghost

Revision 1.10  2008-03-18 23:00:23  patrys
- 2.22.0

Revision 1.9  2008-03-12 00:50:12  patrys
- rebuild with new libxklavier
- rel 2

Revision 1.8  2008-03-11 23:41:17  patrys
- 2.21.4.1
- will have to do for now
- merged from DEVEL

Revision 1.7  2008-02-08 20:19:18  hawk
- release 2

Revision 1.6.2.3  2007-12-25 01:52:20  megabajt
- updated deps
- proper license (LGPL v2+)

Revision 1.6.2.2  2007-12-20 02:43:56  patrys
- 2.21.4.1

Revision 1.6.2.1  2007-12-19 20:48:57  patrys
- 2.21.4

Revision 1.6  2007/09/17 11:20:32  patrys
- 2.20.0

Revision 1.5.2.2  2007/08/30 23:09:54  aflinta
- added popt patch to fix compilation

Revision 1.5.2.1  2007/08/29 19:00:11  megabajt
- updated to 2.19.91

Revision 1.5  2007/04/09 09:34:21  megabajt
- updated to 2.18.1
- added desktop patch

Revision 1.4  2007/03/15 10:02:00  qboosh
- pl
- R(): ldconfig

Revision 1.3  2007/03/12 13:48:41  megabajt
- updated to 2.18.0

Revision 1.2  2007/03/04 17:04:26  megabajt
- added C: control-center < 1:2.17.92

Revision 1.1  2007/03/02 06:48:51  megabajt
- new
